org.apache.ignite.internal.processors.cache.query

## Interface GridCacheQueryMarshallable

All Known Implementing Classes:
  GridCacheSqlQuery, GridQueryRequest

    public interface GridCacheQueryMarshallable

Message which needs to be marshalled and unmarshalled before sending or processing it.

### Method Summary

Methods
`void` `marshall(Marshaller m)`
`void` `unmarshall(Marshaller m, GridKernalContext ctx)`

### Method Detail

#### marshall

    void marshall(Marshaller m)

Parameters:
  `m` - Marshaller.

#### unmarshall

    void unmarshall(Marshaller m,
                  GridKernalContext ctx)

Parameters:
  `m` - Marshaller.
  `ctx` - Context.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016